Bug 1440200 - [Docs] Overcloud installation with external ceph sets wrong parameters in ceph.conf [openstack-9] [NEEDINFO]
Summary: [Docs] Overcloud installation with external ceph sets wrong parameters in cep...
Keywords:
Status: NEW
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: documentation
Version: 11.0 (Ocata)
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: zstream
: 9.0 (Mitaka)
Assignee: RHOS Documentation Team
QA Contact: RHOS Documentation Team
URL:
Whiteboard:
Depends On: 1411905 1308426
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-04-07 14:30 UTC by David Hill
Modified: 2019-11-24 05:15 UTC (History)
15 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1411905
Environment:
Last Closed:
Target Upstream Version:
tshefi: automate_bug-
jomurphy: needinfo? (yrabl)


Attachments (Terms of Use)

Comment 4 Warren 2017-08-22 01:27:07 UTC
I have verified that the work-around in Comment 2 actually works.

I brought up OSP9 using the following overcloud deploy:

openstack overcloud deploy --verbose -t 90 --templates   --control-scale 1   --ceph-storage-scale 3   --compute-scale 1   -e ${HOME}/templates/environments/storage-environment.yaml -e /usr/share/openstack-tripleo-heat-templates/environments/puppet-ceph-devel.yaml  --compute-flavor compute   --ceph-storage-flavor ceph-storage   --control-flavor control   --ntp-server clock.redhat.com   --libvirt-type kvm

the storage-environment.yaml file that I used contains already contains a parameter_defaults:  ExtraConfig: clause.  This failed to install the overcloud.  When I added the suggested lines to the storage-environment.yaml file, the overcloud installed.  After that, I verified that the values set in the puppet-ceph-storage-devel.yaml file were the same as those set in the actual overcloud.

[stack@magna050 ~]$ grep -i fsid /usr/share/openstack-tripleo-heat-templates/environments/puppet-ceph-devel.yaml 
  CephClusterFSID: '4b5c8c0a-ff60-454b-a1b4-9747aa737d19'
[stack@magna050 ~]$ ssh heat-admin@192.0.2.6
Last login: Tue Aug 22 01:13:53 2017 from 192.0.2.1
[heat-admin@overcloud-controller-0 ~]$ sudo ceph fsid
4b5c8c0a-ff60-454b-a1b4-9747aa737d19

Comment 7 Tzach Shefi 2019-01-29 06:00:21 UTC
Doc bug,
Nothing for QE to test/automate with regards to close loop process.


Note You need to log in before you can comment on or make changes to this bug.